/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.dw.db.impl;

import net.northking.cctp.common.db.PaginationService;
import net.northking.cctp.dw.db.dao.MtCaseExecOverallDao;
import net.northking.cctp.dw.db.entity.DwManualExecJob;
import net.northking.cctp.dw.db.service.MtCaseExecOverallService;
import net.northking.cctp.dw.db.entity.MtCaseExecOverall;

import net.northking.cctp.common.db.BasicDao;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.autoconfigure.condition.ConditionalOnMissingBean;
import org.springframework.stereotype.Service;


/**
 * 案例执行总体情况 
 *
 * <p>文件内容由代码生成器产生，请不要手动修改！ <br>
 * createdate:  2021-12-20 11:41:46  <br>
 * @author:  maven-cctp-plugin  <br>
 * @since:  1.0 <br>
 */
@Service
@ConditionalOnMissingBean(name = "MtCaseExecOverallServiceImpl")
public class MtCaseExecOverallServiceImpl extends PaginationService<MtCaseExecOverall> implements MtCaseExecOverallService
{
private static final Logger logger = LoggerFactory.getLogger(MtCaseExecOverallServiceImpl.class);

  private final MtCaseExecOverallDao mtCaseExecOverallDao;

  public MtCaseExecOverallServiceImpl(MtCaseExecOverallDao mtCaseExecOverallDao) {this.mtCaseExecOverallDao = mtCaseExecOverallDao;}

  public BasicDao<MtCaseExecOverall> getDao() {return mtCaseExecOverallDao;}

  public MtCaseExecOverall createEntity() { return new MtCaseExecOverall();}

  @Override
  protected void beforeInsert(MtCaseExecOverall mtCaseExecOverall) {

  }

  @Override
  protected void beforeUpdate(MtCaseExecOverall mtCaseExecOverall) {

  }

  @Override
  public Integer caseExecOverall(DwManualExecJob dwManualExecJob) {
    return mtCaseExecOverallDao.caseExecOverall(dwManualExecJob);
  }

  @Override
  public Integer deleteAllOverallByProjectIds(MtCaseExecOverall overall) {
    return mtCaseExecOverallDao.deleteAllOverallByProjectIds(overall);
  }

}

